APISnippets
List snippet folders
List snippet folders in the workspace. Use a returned id as folder_id when creating or moving a snippet. Requires the Pro plan and the snippets:read scope.
GET
/snippets/folderscurl -X GET "https://productlane.com/api/v2/snippets/folders" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
limitintegerquerycursorstringquery
Response
application/json
Successful response
dataobject[]requiredpageobjectrequired
{
"data": [
{
"id": "string",
"name": "string",
"icon": "string",
"created_at": "string",
"updated_at": "string"
}
],
"page": {
"cursor": "string",
"has_more": true,
"limit": 0
}
}